aspose file tools*
The moose likes Java in General and the fly likes Java Compiler Issue for version 1.2 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » Java in General
Bookmark "Java Compiler Issue for version 1.2" Watch "Java Compiler Issue for version 1.2" New topic
Author

Java Compiler Issue for version 1.2

Ashik Uzzaman
Ranch Hand

Joined: Jul 05, 2001
Posts: 2370

In my Linux RedHat Enterprise 4.7/Tomcat 6/JDK 1.5.0.20 environment, I am seeing an error at runtime from my webapplication that tries to compile some java rules in XML file. I only have JDK 1.5 installed in my machine which I have indicated in ,.bash_profile as JAVA_HOME so that I don't use any other variable by mistake. Redhat installation came with JDK 1.4 whih I am not using. However, I don't know how come 1.2 is coming as per the log below. When I look at my ant build file, I see there are couple of eclipse related target, but those doidn't seem to be vulnerable to me. I don't have Eclipse installed and hence there should be no side effect of that.

Any idea if I am missing something very obvious?




Ashik Uzzaman
Senior Member of Technical Staff, Salesforce.com, San Francisco, CA, USA.
Ulf Dittmer
Marshal

Joined: Mar 22, 2005
Posts: 41521
    
  53
RuleCompiler Rule Compilation Error : details : Eclipse Java Compiler 0.319_R21x

I don't know what the "RuleCompiler" is, but it seems to pass some flags that the Java compiler doesn't understand. Do the docs of the RuleCompiler say anything about configuration?


Ping & DNS - my free Android networking tools app
Campbell Ritchie
Sheriff

Joined: Oct 13, 2005
Posts: 38363
    
  23
Have you ever installed Oracle or something else which alters your PATH? Have you reviewed your PATH with echo $PATH ?
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Java Compiler Issue for version 1.2